| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
MPE::Horizon3DTracker Class Reference
MPEEngine

EMTracker to track EM::Horizon3D. More...

`#include <horizon3dtracker.h>`

Inheritance diagram for MPE::Horizon3DTracker:
[legend]

## Public Member Functions
void | updateFlatCubesContainer (const TrcKeyZSampling &, bool addremove) override
Public Member Functions inherited from MPE::EMTracker
void | applySetupAsDefault ()
void | applySetupAsDefault (const EM::SectionID)
SectionTracker * | cloneSectionTracker ()
SectionTracker * | createSectionTracker (EM::SectionID)
RefMan< EM::EMObject > | emObject ()
ConstRefMan< EM::EMObject > | emObject () const
virtual void | enable (bool yn)
const char * | errMsg () const
void | fillPar (IOPar &) const
virtual TrcKeyZSampling | getAttribCube (const Attrib::SelSpec &) const
void | getNeededAttribs (TypeSet< Attrib::SelSpec > &) const
SectionTracker * | getSectionTracker (bool create=false)
SectionTracker * | getSectionTracker (EM::SectionID, bool create=false)
const char * | getTypeStr () const
virtual bool | isEnabled () const
EM::ObjectID | objectID () const
BufferString | objectName () const
void | setTypeStr (const char *tp)
virtual bool | snapPositions (const TypeSet< TrcKey > &)
bool | usePar (const IOPar &)
Public Member Functions inherited from RefCount::Referenced
void | addObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
int | nrRefs () const
| Only for expert use.
void | ref () const
bool | refIfReffed () const
| Don't use in production, for debugging.
void | removeObserver (WeakPtrBase *obs)
| Not for normal use. May become private.
bool | tryRef () const
| Not for normal use. May become private.
void | unRef () const
void | unRefNoDelete () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static RefMan< Horizon3DTracker > | create (EM::Horizon3D &)
Static Public Member Functions inherited from RefCount::Referenced
static bool | isSane (const Referenced *)
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Private Member Functions
| Horizon3DTracker (EM::Horizon3D &)
| ~Horizon3DTracker ()
bool | createMgr () override
SectionTracker * | createSectionTracker () override
EMSeedPicker * | getSeedPicker (bool createifnotpresent=true) override
bool | hasTrackingMgr () const override
void | initTrackingMgr () override
bool | is2D () const override
void | startFromSeeds (const TypeSet< TrcKey > &) override
void | stopTracking () override
bool | trackingInProgress () const override

## Private Attributes
HorizonTrackerMgr * | htmgr_ = nullptr
Horizon3DSeedPicker * | seedpicker_ = nullptr

## Additional Inherited Members
Public Attributes inherited from MPE::EMTracker
Notifier< EMTracker > | trackingFinished
Protected Member Functions inherited from MPE::EMTracker
| EMTracker (EM::EMObject &)
virtual | ~EMTracker ()
void | trackingFinishedCB (CallBacker *)
Protected Member Functions inherited from RefCount::Referenced
| Referenced ()
| Referenced (const Referenced &)
virtual | ~Referenced ()
Referenced & | operator= (const Referenced &)
Static Protected Member Functions inherited from MPE::EMTracker
static const char * | sectionidStr ()
static const char * | setupidStr ()
Protected Attributes inherited from MPE::EMTracker
BufferString | errmsg_
bool | isenabled_ = true
ObjectSet< SectionTracker > | sectiontrackers_
BufferString | type_

## Detailed Description

EMTracker to track EM::Horizon3D.

<>

## Constructor & Destructor Documentation

## ◆ Horizon3DTracker()

MPE::Horizon3DTracker::Horizon3DTracker | ( | EM::Horizon3D & |  | ) |
| private

## ◆ ~Horizon3DTracker()

MPE::Horizon3DTracker::~Horizon3DTracker | ( |  | ) |
| private

## Member Function Documentation

## ◆ create()

static RefMan< Horizon3DTracker > MPE::Horizon3DTracker::create | ( | EM::Horizon3D & |  | ) |
| static

## ◆ createMgr()

bool MPE::Horizon3DTracker::createMgr | ( |  | ) |
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ createSectionTracker()

SectionTracker * MPE::Horizon3DTracker::createSectionTracker | ( |  | ) |
| override private virtual

Implements MPE::EMTracker.

## ◆ getSeedPicker()

EMSeedPicker * MPE::Horizon3DTracker::getSeedPicker | ( | bool | createifnotpresent = true | ) |
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ hasTrackingMgr()

bool MPE::Horizon3DTracker::hasTrackingMgr | ( |  | ) | const
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ initTrackingMgr()

void MPE::Horizon3DTracker::initTrackingMgr | ( |  | ) |
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ is2D()

bool MPE::Horizon3DTracker::is2D | ( |  | ) | const
| inline override private virtual

Implements MPE::EMTracker.

## ◆ startFromSeeds()

void MPE::Horizon3DTracker::startFromSeeds | ( | const TypeSet< TrcKey > & |  | ) |
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ stopTracking()

void MPE::Horizon3DTracker::stopTracking | ( |  | ) |
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ trackingInProgress()

bool MPE::Horizon3DTracker::trackingInProgress | ( |  | ) | const
| override private virtual

Reimplemented from MPE::EMTracker.

## ◆ updateFlatCubesContainer()

void MPE::Horizon3DTracker::updateFlatCubesContainer | ( | const TrcKeyZSampling & | ,
|  | bool | addremove )
| override virtual

add = true, remove = false.

Reimplemented from MPE::EMTracker.

## Member Data Documentation

## ◆ htmgr_

HorizonTrackerMgr* MPE::Horizon3DTracker::htmgr_ = nullptr
| private

## ◆ seedpicker_

Horizon3DSeedPicker* MPE::Horizon3DTracker::seedpicker_ = nullptr
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025